Next: psb_sp_get_nnzeros Get Up: psb_cd_get_context Get communication context Previous: psb_sp_get_nrows Get Contents

### psb_sp_get_ncols -- Get number of columns in a sparse matrix

    nr = psb_sp_get_ncols(a)

Type:
  Asynchronous.
On Entry
a
  the sparse matrix
  Scope: local
  Type: required
  Intent: in.
  Specified as: a structured data of type spdata`psb_spmat_type`.

On Return
Function value
  The number of columns of sparse matrix `a`.